﻿using Android.App;
using Android.OS;
using Android.Runtime;
using Android.Widget;
using AndroidX.AppCompat.App;
using Com.Scansolutions.Mrzscannerlib;

namespace MRZScannerAndroid
{
    [Activity(Label = "@string/app_name", Theme = "@style/AppTheme", MainLauncher = true)]
    public class MainActivity : AppCompatActivity
    {
        Button btnStartScanner;
        Button btnCaptureImage;

        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            Xamarin.Essentials.Platform.Init(this, savedInstanceState);
            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.activity_main);

            btnStartScanner = (Button)FindViewById(Resource.Id.btnStartMrzScanner);
            btnStartScanner.Click += (sender, e) =>
            {
                ScannerActivity.startScannerActivity(this, ScannerType.ScannerTypeMrz);
            };

            btnCaptureImage = (Button)FindViewById(Resource.Id.btnCapturePassportImage);
            btnCaptureImage.Click += (sender, e) =>
            {
                ScannerActivity.startScannerActivity(this, ScannerType.ScannerTypeDocImagePassport);
            };
        }
        public override void OnRequestPermissionsResult(int requestCode, string[] permissions, [GeneratedEnum] Android.Content.PM.Permission[] grantResults)
        {
            Xamarin.Essentials.Platform.OnRequestPermissionsResult(requestCode, permissions, grantResults);

            base.OnRequestPermissionsResult(requestCode, permissions, grantResults);
        }
    }
}
